> For the complete documentation index, see [llms.txt](https://docs.wcrobotics.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wcrobotics.org/training/java.md).

# Java

{% hint style="info" %}
We will follow [training materials created by Spectrum 3847](https://training.spectrum3847.org/) due to our limited experience with programming FRC Robots.  ***Thanks Spectrum!***
{% endhint %}

**Day 1:** Intro to Java Programming - [Slides](https://www.google.com/url?q=https://docs.google.com/presentation/d/1MxjAYEkdW9MVuQUSKM9xFdQ3vQl-1MXcdd2jdfOI_KY/edit%23slide%3Did.g9267f80ec3_1_80\&sa=D\&source=editors\&ust=1635869948637000\&usg=AOvVaw0fUxHTgfLYZcrGrwPv4Wtz), [Video](https://youtu.be/YWhJLJawGGU)

**Day 2:**  Intro to FRC Control System and Installing WPI Lib Software - [Slides part 1](https://docs.google.com/presentation/d/1U8EKEZv5Km__JKcN2SpE7tU8HjkMOnHZUupBr-Zo96M/edit?usp=sharing), [Slides part 2](https://www.google.com/url?q=https://docs.google.com/presentation/d/e/2PACX-1vR6Y1WOJIaN2maShvbTBh8LMBfhS40iKLJMoE9MAOuotemaGBm3_rRC4AzLiMVJX79CBdnnilmMIS8J/pub?start%3Dfalse%26loop%3Dfalse%26delayms%3D3000\&sa=D\&source=editors\&ust=1635869948640000\&usg=AOvVaw0mUgKP9nzWSfICZESQrcyn), [Video](https://youtu.be/XHx3JeTk0Qw)

**Day 3:** Beginner FRC Programming 1 - [Slides](https://docs.google.com/presentation/d/17c1rSFLm_WMR7hAvy6jl6Vy4p_CdweD2gnlPQgB3bm0/edit?usp=sharing), [Video](https://youtu.be/MfrQkJhWmow)

**Day 4:**  Beginner FRC Control Loops & Elevator Simulation - [Slides](https://www.youtube.com/redirect?event=video_description\&redir_token=QUFFLUhqbXlidzNiUFlRZ1l1Y0E1YlRrQ2djX3BaWDUxUXxBQ3Jtc0tuUzVlVDRQTUpsSVgxTkxnaVpuamhLWUFEV0p6M1RsbTZwa0lfcDdCSG50RllmZWdXc0l5MkIxSVRWWTU4Y0dFTnVCYWFaV0hrYThJeGd0TktJRGV0XzFkZ0VKV19DbmlSSE13eUFuV1puaDZwd2xBaw\&q=https%3A%2F%2Fdocs.google.com%2Fpresentation%2Fd%2F1Z3H8fjxVSJSIoAv1C09J7CEWDGmV66ZCOXEI1wKS23w%2Fedit%23slide%3Did.gf924249f7d_0_0), [Video](https://youtu.be/kM9lnQg6Huk)

## Java Cheat Sheet

[Click to download](https://38f0846f-2dc9-476e-b974-340daae8b846.usrfiles.com/ugd/38f084_f4e0dd67f80d4e5082247513280078da.pdf)

{% embed url="<https://38f0846f-2dc9-476e-b974-340daae8b846.usrfiles.com/ugd/38f084_f4e0dd67f80d4e5082247513280078da.pdf>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wcrobotics.org/training/java.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
